<h1><%= t "categories.new.title" %></h1>
<div class="row">
  <div class="col-md-6 col-md-offset-3">
    <% if @category %>
      <%= form_for(@category) do |f| %>
        <%= render 'shared/error_categories_messages' %>
        <%= f.label :name %>
        <%= f.text_field :name, class: 'form-control' %>
        <br>
        <div class="field address-container">
          <%#= f.label t(".add_new"), class: 'child_title'%>
          <br>
          <%= f.fields_for :new do |add| %>
            <%= add.label :title %>
            <%= add.text_field :title, class: 'form-control street-field' %>
            <%= add.label :content %>
            <%= add.text_area :content, class: 'form-control content street-field' %>
            <%= add.label :image %>
            <%= add.file_field :thump, class: "street-field" %>
          <% end %>
        </div>
        <%= f.submit t("news.index.create"), class: "btn btn-primary" %>
      <% end %>
    <% end %>
  </div>
</div>

<script type="text/javascript">
    $(".js-btn-add").on("click", function () {
        addAddressField();
    })

    function addAddressField() {
        var length = $(".street-field").length;
        var div = document.createElement("div");
        var input = document.createElement("input");

        input.type = "text";
        input.name = "user[address_attributes][" + length + "][street]"
        input.className = "street-field"
        input.id = "user_address_attributes_" + length + "_street"

        div.appendChild(input)
        $(".address-container").append(div);
    }
</script>

<style type="text/css">
    .street-field {
        margin-top: 5px;
        margin-bottom: 5px;
    }
    .child_title{
        text-align: center;
    }
</style>
